# Joy Teleop

## How to build

```sh
apt install ros-noetic-joy

source /opt/ros/noetic/setup.bash
mkdir -p ~/catkin_ws/src
cd ~/catkin_ws/src
git clone https://gitlab.clubelek.fr/cdf2020/tests/informatique-haut-niveau/mccd-keyboard-teleop.git
cd ~/catkin_ws && catkin_make
```

## How to run

To ensure that sensor_msgs/Joy exists, machine on which this node run and
machine on which joy_node run must build sensor_msgs package (which is part of
common_msgs)

```sh
rosparam set joy_node/dev "/dev/input/jsX"
rosrun joy joy_node

source ~/catkin_ws/devel/setup.bash
rosrun mccd-keyboard-teleop mccd_keyboard_teleop.py
```
X is the number associated to the controller
